package simplelist;


import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class Main extends JPanel {
    public Main() {
	this.setLayout(new BorderLayout());
	this.setBorder(BorderFactory.createEtchedBorder());
	JList list = new JList(listData);
	JScrollPane listScroll = new JScrollPane(list);
	list.setVisibleRowCount(8);
	this.add(listScroll);
	
	// Register to receive selection events
	list.addListSelectionListener(new ListSelectionListener() {
	    public void valueChanged(ListSelectionEvent evt) {
		JList src = (JList)evt.getSource();
		System.out.println("Three was a change in selection between indices " +
				   evt.getFirstIndex() + " and " +
				   evt.getLastIndex() + 
				   "; the getValueIsAdjusting() method returned " + 
				   evt.getValueIsAdjusting());
		
		if (evt.getValueIsAdjusting() == false) {
		    int[] selectedIndices = src.getSelectedIndices();
		    System.out.print("The final selected indices are: ");
		    for (int i = 0; i < selectedIndices.length; i++) {
			System.out.print(selectedIndices[i] + " ");
		    }
		    
		    Object[] selectedValues = src.getSelectedValues();
		    System.out.println("\n\nSelected values are:");
		    for (int i = 0; i < selectedValues.length; i++) {
			System.out.println("\t" + selectedValues[i]);
		    }
		}
	    }
	});
    }
    
    public static void main(String[] args) {
	final JFrame f = new JFrame("List Selection Example");
	f.add(new Main());
	f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	Runnable showFrame = new Runnable() {
		public void run() {
		    f.pack();
		    f.setVisible(true);
		}
	};
	SwingUtilities.invokeLater(showFrame);
    }
    
    protected String[] listData = {
	"Beartooth",
	"Granite",
	"Rosebud",
	"Long",
	"Glacier",
	"Timberline",
	"Claw",
	"Aero",
	"Lost"};
}

		
		

